Bug 543784 - Importing Fedora 12 into cobbler fails
Importing Fedora 12 into cobbler fails
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
12
All Linux
low Severity urgent
: ---
: ---
Assigned To: John Eckersberg
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-02 23:07 EST by Dimi Paun
Modified: 2010-08-27 02:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-27 02:49:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dimi Paun 2009-12-02 23:07:37 EST
Description of problem:

A simple import of F12 into cobbler:

    # cobbler import --name=Fedora12 --path=/mnt/f12dvd

fails:

scanning /var/www/cobbler/ks_mirror/Fedora12 for distro signature
found content (breed=redhat) at /v
Exception occured: <class 'cobbler.cexceptions.CX'>
Exception value: '--os-version for breed redhat must be one of rhel2.1, rhel3, rhel4, rhel5, fedora5, fedora6, fedora7, fedora8, fedora9, fedora10, fedora11, generic24, generic26, virtio26, other, given was fedora12'
Exception Info:
  File "/usr/lib/python2.6/site-packages/cobbler/remote.py", line 92, in run
    rc = self._run(self)
   File "/usr/lib/python2.6/site-packages/cobbler/remote.py", line 221, in runner
    self.logger
   File "/usr/lib/python2.6/site-packages/cobbler/api.py", line 647, in import_tree
    return importer.run()
   File "/usr/lib/python2.6/site-packages/cobbler/action_import.py", line 227, in run
    self.kickstart_finder(distros_added)
   File "/usr/lib/python2.6/site-packages/cobbler/action_import.py", line 300, in kickstart_finder
    distro.set_os_version(version)
   File "/usr/lib/python2.6/site-packages/cobbler/item_distro.py", line 168, in set_os_version
    return utils.set_os_version(self,os_version)
   File "/usr/lib/python2.6/site-packages/cobbler/utils.py", line 1088, in set_os_version
    raise CX(_("--os-version for breed %s must be one of %s, given was %s") % (self.breed, nicer, os_version))

!!! TASK FAILED !!!
Comment 1 John Eckersberg 2009-12-03 08:36:28 EST
This is fixed in commit 93d2dc8b2c2e7c060ca9948653041307bbe72f57 and will be included in Cobbler 2.0.2.
Comment 2 Dimi Paun 2009-12-03 13:56:39 EST
OK, great! Any idea when this will be pushed to Updates?
Comment 3 John Eckersberg 2009-12-03 15:05:35 EST
It will be available in updates-testing early next week.  If no major problems come up it will move to updates pretty quickly, maybe a week or so after updates-testing.
Comment 4 Vedran Miletić 2009-12-04 13:27:09 EST
The VERIFIED, FAILS_QA and RELEASE_PENDING bug states are not used by Fedora (they are used in the RHEL process).

I'm closing this bug ahead of time. It is possibly fixed, but Reporter, if you can reproduce it using a current version of Fedora (version 12), please reopen it.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Dimi Paun 2009-12-04 16:38:58 EST
Vedran, WHY would you close this bug WONTFIX?!? Did you even read it?
This bug is very much alive with the latest version of cobbler, I just reported it 2 days ago!

Note You need to log in before you can comment on or make changes to this bug.